#!/bin/bash


###################################################################################################

#  CONFIGURABLE VARIABLES

# Base SVN directory for this release.  There should be a "tags" and "trunk" directory under this.
svnBase="https://svn.jboss.org/repos/infinispan"

# Name of the "tags" directory
svnTags="tags"

# Where do you locally check out tags?
localTagsDir="/Users/manik/Code/infinispan/tags"

# Your maven2 repo to deploy built artifacts
localMvnRepoDir="/Users/manik/Code/maven2/org/infinispan"

# Where should built documentation go? (FTP)
docsDir="/Users/manik/Code/CMS/jbosscache/freezone/docs"

###################################################################################################

if [[ $0 =~ bin/.*.sh ]] ; then
   DIR_PREFIX=".."
else
   DIR_PREFIX="."
fi

## The actual script!
ver=${1}
echo "Infinispan Release Script"

# Validate the release version
validate

# Tag in SVN
tag

# Update files to reflect the new version
setVersion

# Build and test
build

# Check in to maven2 repo
checkIntoRepository

# Upload javadocs
javadocs

echo 'Done!  Now all you need to do is:'
echo '  1.  Update the website (http://www.infinispan.org)'
echo '  2.  Update the wiki pages (main wiki page, docs and download)'
echo '  3.  Announce and blog about this!'


